%global moz_extensions %{_datadir}/mozilla/extensions

%global firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%global src_ext_id pentestkit@DenisPodgurskii
%global firefox_inst_dir %{moz_extensions}/%{firefox_app_id}

Name:           mozilla-owasp-ptk
Version:        8.9.3
Release:        %{autorelease}
Summary:        Extension for application security practitioners, penetration testers, and red teams.

License:        MIT
URL:            https://pentestkit.co.uk/
Source0:        https://addons.mozilla.org/firefox/downloads/file/4488443/owasp_penetration_testing_kit-%{version}.zip
Source1:        mozilla-owasp-ptk.metainfo.xml

Requires:       mozilla-filesystem
BuildArch:      noarch

# GNOME Software Center not present on EL < 7
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libappstream-glib
%endif

%description
The Penetration Testing Kit (PTK) browser extension is your all-in-one solution for streamlining
your daily tasks in the realm of application security. Whether you're a penetration tester,
a member of a Red Team, or an application security practitioner, this extension is designed
to enhance your efficiency and provide valuable insights.

%prep
%setup -q -c

%build

%install
install -Dpm644 %{SOURCE0} %{buildroot}%{firefox_inst_dir}/%{src_ext_id}.xpi
install -Dpm644 %{SOURCE1} %{buildroot}%{_metainfodir}/%{name}.metainfo.xml
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%{firefox_inst_dir}/%{src_ext_id}.xpi
# GNOME Software Center metadata
%if 0%{?fedora} || 0%{?rhel} >= 7
%{_metainfodir}/%{name}.metainfo.xml
%endif

%changelog
%autochangelog
